Package com.massivecraft.factions.skript.expressions.player

## Class PlayerRoleExpression

- java.lang.Object
- - ch.njol.skript.lang.util.SimpleExpression<java.lang.String>
  - - com.massivecraft.factions.skript.expressions.player.PlayerRoleExpression

All Implemented Interfaces:
  `ch.njol.skript.lang.Debuggable`, `ch.njol.skript.lang.Expression<java.lang.String>`, `ch.njol.skript.lang.SyntaxElement`

    public class PlayerRoleExpression
    extends ch.njol.skript.lang.util.SimpleExpression<java.lang.String>

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`(package private) ch.njol.skript.lang.Expression<org.bukkit.entity.Player>` | `playerExpression` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`PlayerRoleExpression()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.Class<?>[]` | `acceptChange​(ch.njol.skript.classes.Changer.ChangeMode mode)` |
`void` | `change​(org.bukkit.event.Event event, java.lang.Object[] delta, ch.njol.skript.classes.Changer.ChangeMode mode)` |
`protected java.lang.String[]` | `get​(org.bukkit.event.Event event)` |
`java.lang.Class<? extends java.lang.String>` | `getReturnType()` |
`boolean` | `init​(ch.njol.skript.lang.Expression<?>[] exprs, int matchedPattern, ch.njol.util.Kleenean isDelayed, ch.njol.skript.lang.SkriptParser.ParseResult parser)` |
`boolean` | `isSingle()` |
`java.lang.String` | `toString​(org.bukkit.event.Event event, boolean debug)` |

### Methods inherited from class ch.njol.skript.lang.util.SimpleExpression

`check, check, check, getAll, getAnd, getArray, getConvertedExpr, getConvertedExpression, getSingle, getSource, getTime, isDefault, isLoopOf, iterator, setTime, setTime, setTime, simplify, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.njol.skript.lang.Expression

`beforeChange`

### Methods inherited from interface ch.njol.skript.lang.SyntaxElement

`setParserInstance`

### Field Detail

#### playerExpression

    ch.njol.skript.lang.Expression<org.bukkit.entity.Player> playerExpression

### Constructor Detail

#### PlayerRoleExpression

    public PlayerRoleExpression()

### Method Detail

#### getReturnType

    public java.lang.Class<? extends java.lang.String> getReturnType()

#### isSingle

    public boolean isSingle()

#### init

    public boolean init​(ch.njol.skript.lang.Expression<?>[] exprs,
                        int matchedPattern,
                        ch.njol.util.Kleenean isDelayed,
                        ch.njol.skript.lang.SkriptParser.ParseResult parser)

#### toString

    public java.lang.String toString​(org.bukkit.event.Event event,
                                     boolean debug)

#### get

    protected java.lang.String[] get​(org.bukkit.event.Event event)

Specified by:
  `get` in class `ch.njol.skript.lang.util.SimpleExpression<java.lang.String>`

#### acceptChange

    public java.lang.Class<?>[] acceptChange​(ch.njol.skript.classes.Changer.ChangeMode mode)

Specified by:
  `acceptChange` in interface `ch.njol.skript.lang.Expression<java.lang.String>`
Overrides:
  `acceptChange` in class `ch.njol.skript.lang.util.SimpleExpression<java.lang.String>`

#### change

    public void change​(org.bukkit.event.Event event,
                       java.lang.Object[] delta,
                       ch.njol.skript.classes.Changer.ChangeMode mode)

Specified by:
  `change` in interface `ch.njol.skript.lang.Expression<java.lang.String>`
Overrides:
  `change` in class `ch.njol.skript.lang.util.SimpleExpression<java.lang.String>`